// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.12.4
// source: log/model/stat-msg-row.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type StatMsgRow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	From           string `protobuf:"bytes,2,opt,name=from,proto3" json:"from,omitempty"`
	FromSystem     string `protobuf:"bytes,3,opt,name=fromSystem,proto3" json:"fromSystem,omitempty"`
	UploadStatus   string `protobuf:"bytes,4,opt,name=uploadStatus,proto3" json:"uploadStatus,omitempty"`
	UploadDate     int64  `protobuf:"varint,5,opt,name=uploadDate,proto3" json:"uploadDate,omitempty"`
	To             string `protobuf:"bytes,6,opt,name=to,proto3" json:"to,omitempty"`
	ToSystem       string `protobuf:"bytes,7,opt,name=toSystem,proto3" json:"toSystem,omitempty"`
	DownloadStatus string `protobuf:"bytes,8,opt,name=downloadStatus,proto3" json:"downloadStatus,omitempty"`
	DownloadDate   int64  `protobuf:"varint,9,opt,name=downloadDate,proto3" json:"downloadDate,omitempty"`
	Status         string `protobuf:"bytes,10,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *StatMsgRow) Reset() {
	*x = StatMsgRow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_log_model_stat_msg_row_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatMsgRow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatMsgRow) ProtoMessage() {}

func (x *StatMsgRow) ProtoReflect() protoreflect.Message {
	mi := &file_log_model_stat_msg_row_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatMsgRow.ProtoReflect.Descriptor instead.
func (*StatMsgRow) Descriptor() ([]byte, []int) {
	return file_log_model_stat_msg_row_proto_rawDescGZIP(), []int{0}
}

func (x *StatMsgRow) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *StatMsgRow) GetFrom() string {
	if x != nil {
		return x.From
	}
	return ""
}

func (x *StatMsgRow) GetFromSystem() string {
	if x != nil {
		return x.FromSystem
	}
	return ""
}

func (x *StatMsgRow) GetUploadStatus() string {
	if x != nil {
		return x.UploadStatus
	}
	return ""
}

func (x *StatMsgRow) GetUploadDate() int64 {
	if x != nil {
		return x.UploadDate
	}
	return 0
}

func (x *StatMsgRow) GetTo() string {
	if x != nil {
		return x.To
	}
	return ""
}

func (x *StatMsgRow) GetToSystem() string {
	if x != nil {
		return x.ToSystem
	}
	return ""
}

func (x *StatMsgRow) GetDownloadStatus() string {
	if x != nil {
		return x.DownloadStatus
	}
	return ""
}

func (x *StatMsgRow) GetDownloadDate() int64 {
	if x != nil {
		return x.DownloadDate
	}
	return 0
}

func (x *StatMsgRow) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

var File_log_model_stat_msg_row_proto protoreflect.FileDescriptor

var file_log_model_stat_msg_row_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x6c, 0x6f, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x74, 0x61, 0x74,
	0x2d, 0x6d, 0x73, 0x67, 0x2d, 0x72, 0x6f, 0x77, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03,
	0x6c, 0x6f, 0x67, 0x22, 0xa4, 0x02, 0x0a, 0x0a, 0x53, 0x74, 0x61, 0x74, 0x4d, 0x73, 0x67, 0x52,
	0x6f, 0x77, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x66, 0x72, 0x6f, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x66, 0x72, 0x6f, 0x6d, 0x12, 0x1e, 0x0a, 0x0a, 0x66, 0x72, 0x6f, 0x6d, 0x53, 0x79,
	0x73, 0x74, 0x65, 0x6d, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x66, 0x72, 0x6f, 0x6d,
	0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x12, 0x22, 0x0a, 0x0c, 0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x75, 0x70,
	0x6c, 0x6f, 0x61, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x75, 0x70,
	0x6c, 0x6f, 0x61, 0x64, 0x44, 0x61, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a,
	0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x61, 0x74, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x74, 0x6f,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x74, 0x6f, 0x12, 0x1a, 0x0a, 0x08, 0x74, 0x6f,
	0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x6f,
	0x53, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x12, 0x26, 0x0a, 0x0e, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f,
	0x61, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e,
	0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x22,
	0x0a, 0x0c, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x61, 0x74, 0x65, 0x18, 0x09,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0c, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x61,
	0x74, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x0a, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x5e, 0x0a, 0x07, 0x63, 0x6f,
	0x6d, 0x2e, 0x6c, 0x6f, 0x67, 0x42, 0x0a, 0x53, 0x74, 0x61, 0x74, 0x4d, 0x73, 0x67, 0x52, 0x6f,
	0x77, 0x50, 0x01, 0x5a, 0x33, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f,
	0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x63, 0x6f, 0x72, 0x65,
	0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x6f, 0x72, 0x65, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6c,
	0x6f, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02,
	0x03, 0x6c, 0x6f, 0x67, 0xca, 0x02, 0x03, 0x6c, 0x6f, 0x67, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_log_model_stat_msg_row_proto_rawDescOnce sync.Once
	file_log_model_stat_msg_row_proto_rawDescData = file_log_model_stat_msg_row_proto_rawDesc
)

func file_log_model_stat_msg_row_proto_rawDescGZIP() []byte {
	file_log_model_stat_msg_row_proto_rawDescOnce.Do(func() {
		file_log_model_stat_msg_row_proto_rawDescData = protoimpl.X.CompressGZIP(file_log_model_stat_msg_row_proto_rawDescData)
	})
	return file_log_model_stat_msg_row_proto_rawDescData
}

var file_log_model_stat_msg_row_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_log_model_stat_msg_row_proto_goTypes = []interface{}{
	(*StatMsgRow)(nil), // 0: log.StatMsgRow
}
var file_log_model_stat_msg_row_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_log_model_stat_msg_row_proto_init() }
func file_log_model_stat_msg_row_proto_init() {
	if File_log_model_stat_msg_row_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_log_model_stat_msg_row_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatMsgRow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_log_model_stat_msg_row_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_log_model_stat_msg_row_proto_goTypes,
		DependencyIndexes: file_log_model_stat_msg_row_proto_depIdxs,
		MessageInfos:      file_log_model_stat_msg_row_proto_msgTypes,
	}.Build()
	File_log_model_stat_msg_row_proto = out.File
	file_log_model_stat_msg_row_proto_rawDesc = nil
	file_log_model_stat_msg_row_proto_goTypes = nil
	file_log_model_stat_msg_row_proto_depIdxs = nil
}
